summaryrefslogtreecommitdiffstats
path: root/third_party/rust/rkv/run-all-examples.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/rkv/run-all-examples.sh')
-rwxr-xr-xthird_party/rust/rkv/run-all-examples.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/third_party/rust/rkv/run-all-examples.sh b/third_party/rust/rkv/run-all-examples.sh
new file mode 100755
index 0000000000..fa7eb959d6
--- /dev/null
+++ b/third_party/rust/rkv/run-all-examples.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+cargo build --examples
+
+for file in examples/*; do
+ filename=$(basename ${file})
+ extension=${filename##*.}
+ example_name=${filename%.*}
+ if [[ "${extension}" = "rs" ]]; then
+ cargo run --example ${example_name}
+ fi
+done